<script setup lang="ts">
import { computed } from 'vue'
import { usePosStore } from '../stores/pos'

const pos = usePosStore()
const pointOfCustomer = computed(() => pos.selectedCustomer?.point ?? 0)
const rulePoint = (v: any) => v <= pointOfCustomer.value || 'Out of points'

pos.tempTotalPoint = pos.selectedCustomer?.point ?? 0
</script>
<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-text-field
          rounded="lg"
          label="Use point"
          density="compact"
          type="text"
          min="1"
          variant="outlined"
          :disabled="!pos.selectedCustomer"
          :rules="[rulePoint]"
          v-model.number="pos.tempReceipt.usePoint"
          @update:model-value="
            (v: any) => {
              pos.tempTotalPoint = pos.selectedCustomer?.point ?? 0
              pos.tempTotalPoint -= v
            }
          "
        >
        </v-text-field>
      </v-col>
      <v-col cols="12">
        <p>point คงเหลือ : {{ pos.tempTotalPoint }}</p>
      </v-col>
    </v-row>
  </v-container>
</template>
